@set EC_FILE.bin=eP15SM.301

:AssignFile

if "%1" == "" goto DefaultFile
if "%2" == "" goto DefaultParameter

ELASH11.EXE %1 %2 %3 %4 %5 %6 %7
goto End

:DefaultParameter

ELASH11.EXE %1 /ad /h3
goto End

:DefaultFile
ELASH11.EXE %EC_FILE.bin% /ad /h3

:End